using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using DevExpress.Xpo;

namespace DXGridXPOBinding {
  public class OrderLine : XPObject {
    public OrderLine(Session session)
      : base(session) { }

    private int count;
    public int Count {
      get {
        return count;
      }
      set {
        SetPropertyValue("Count", ref count, value);
      }
    }

    private Product product;
    [Association("Product-OrderLines")]
    public Product Product {
      get {
        return product;
      }
      set {
        SetPropertyValue("Product", ref product, value);
      }
    }

    private Order order;
    [Association("Order-OrderLines")]
    public Order Order {
      get {
        return order;
      }
      set {
        SetPropertyValue("Order", ref order, value);
      }
    }
  }
}
