﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Navigation;

namespace DXGridXPOBinding {
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window {
    public MainWindow( ) {
      InitializeComponent( );
    }

    protected override void OnInitialized(EventArgs e) {
      base.OnInitialized(e);

      Global.LogWriter.TextAdded += new EventHandler(LogWriter_TextAdded);
    }

    void LogWriter_TextAdded(object sender, EventArgs e) {
      var strings = ((LogWriter) sender).RetrieveText( );
      log.AppendText(Concat(strings));
    }

    string Concat(IEnumerable<string> strings) {
      var builder = new StringBuilder( );
      foreach (string s in strings) {
        builder.Append(s);
      }
      return builder.ToString( );
    }

  }
}
